Page MenuHomePhabricator

Remove no longer required user rights from the bureaucrat group on enwiki
Closed, DeclinedPublic

Description

The English Wikipedia bureaucrat group has been left with some very interesting and random user rights, that are already assigned to the sysop group. A bureaucrat mentioned that the rights were probably left over from when bureaucrats were tasked with renaming. The following rights should be removed:

  • override-antispoof
  • move-subpages
  • noratelimit
  • suppressredirect
  • tboverride

Add groups: Account creators, and Pending changes reviewers
Remove groups: IP block exemptions, Account creators, and Pending changes reviewers

The only remaining rights should be:

Add groups: Flow bots, Administrators, Bureaucrats, and Bots
Remove groups: Flow bots, Administrators, and Bots

Event Timeline

Restricted Application added subscribers: Zppix, JEumerus, Matanya, Aklapper. · View Herald TranscriptJul 17 2016, 1:58 AM

Is there a community consensus for that?

Luke081515 updated the task description. (Show Details)

You can see a started discussion here, although note that the rights are completely unnecessary and I don't see why community consensus would be required to just "clean-up" InitialiseSettings.

Nakon added a subscriber: Nakon.Jul 17 2016, 2:12 AM

Agreed, these extra right grants are already granted to the sysop group. All bureaucrats are a subset of this group, so they retain the rights-granting abilities of that group. There is no current need for the bureaucrat group on enwiki to retain additional rights-granting and -revoking outside of what Music1201 has described.

The Bureaucrat group, per enwiki policy, should only have the following rights:

Add groups: Flow bots, Administrators, Bureaucrats and Bots
Remove groups: Administrators, Flow bots and Bots

Xaosflux triaged this task as Low priority.Jul 17 2016, 2:17 AM
Kharkiv07 added a subscriber: Kharkiv07.

It appears Nakon is correct, per enwiki's bureaucrat policy, they should only have the tasks he mentioned (and remove account creator, IP block exemption, reviewer as well... @Nakon do you know anything about those?). I'll simply clean up the old rights for now unless those permissions were suppose to be implemented at some point...

Nakon added a comment.Jul 17 2016, 3:53 AM

Bureaucrats will only retain the rights that I described in https://phabricator.wikimedia.org/T140550#2468821 , per the enwiki policy.

Bureaucrats are Wikipedia users with the technical ability to:
add the administrator, bureaucrat, account creator, reviewer, or bot user group to an account
remove the administrator, account creator, IP block exemption, reviewer, or bot user group from an account.

That's from the top of https://en.wikipedia.org/wiki/Wikipedia:Bureaucrats (the policy)

Nakon added a comment.Jul 17 2016, 4:06 AM
This comment was removed by Nakon.

Change 299354 had a related patch set uploaded (by Kharkiv07):
Remove unneed permissions from enwiki bureaucrats

https://gerrit.wikimedia.org/r/299354

My patch removes 'move-subpages', 'suppressredirect', and 'tboverride', as that brings the permissions in-line with enwiki policy. The other two permissions ('override-antispoof' and 'noratelimit') are granted to bureaucrats across all projects, and I see no reason to remove them.

As for the adding and removing permission thing, it appears that's currently policy as explicitly written in the bureaucrat policy.

Music1201 added a comment.EditedJul 17 2016, 5:02 AM

I believe the permissions listed in the bureaucrat policy are only placed there because a user found the technical status of bureaucrats at Special:ListGroupRights. I see no need to keep the permissions. The following should be the only permissions:

  • override-antispoof
  • noratelimit
  • Add groups: Flow bots, Administrators, Bureaucrats and Bots
  • Remove groups: Administrators, Flow bots and Bots

Please, only remove permissions that are specific to enwiki. Do not override defaults that apply to all wikis. This means removing

  • 'move-subpages', 'suppressredirect', and 'tboverride' from groupOverrides , which are relics from the epoch when bureaucrats could rename accounts
  • 'accountcreator' from wgAddGroups
  • 'accountcreator' and 'ipblock-exempt' from wgRemoveGroups

Please, only remove permissions that are specific to enwiki. Do not override defaults that apply to all wikis.

Yes, I quite agree with @Ruslik0 here. Please only remove the permissions that are enwiki specific. We can discuss at a different task if the remaining noratelimit and override-antispoof can be removed from bureaucrats WMF-wikis-wide later. Thanks.

JJMC89 added a subscriber: JJMC89.Jul 17 2016, 4:42 PM
KTC added a subscriber: KTC.Jul 17 2016, 5:15 PM

@MarcoAurelio @Ruslik0: I wasn't planning on it, I should've been more clear.

Others: Was there consensus at some point for the adding/removing the rights in questions? If there wasn't clear consensus I can remove those rights, too...

Xeno added a subscriber: Xeno.Jul 18 2016, 1:33 PM

These rights were added in this community discussion: https://en.wikipedia.org/wiki/Wikipedia:Requests_for_comment/Make_userrights_self-sufficient#Add_move-related_privileges_to_Bureaucrat so I wouldn't be so quick to remove them without a similar consensus for doing so.

I assume the global renamer facility operates agnostic to local rights?

Kharkiv07 changed the task status from Open to Stalled.Jul 18 2016, 2:44 PM

This does appear to be a case of clear consensus. It'll probably take consensus to remove.

Music1201 changed the task status from Stalled to Open.Jul 18 2016, 3:30 PM
This comment was removed by Music1201.
Music1201 closed this task as Declined.Jul 18 2016, 5:27 PM

After reading Xeno's comments, I think the rights should stay in place.

Kharkiv07 reopened this task as Stalled.Jul 18 2016, 5:36 PM

@Music1201 let's see if anyone else wants to do anything about this before we hastily close it.

@Xeno the premise of that prior poll "to properly carry out renames" has diminished along with the removal of the ability for local 'crats to perform renames. We certainly could poll the enwiki community and revisit this following a consensus forming for updating.

Change 299354 abandoned by Hashar:
Remove unneed permissions from enwiki bureaucrats

Reason:
Still pending consensus / discussion via T140550. Not much point in keeping this change open meanwhile.

https://gerrit.wikimedia.org/r/299354

Urbanecm closed this task as Declined.Apr 23 2018, 11:55 AM
Urbanecm added a subscriber: Urbanecm.

Mass-declining of all old "Blocked on community consensus" site request tasks. If this is still wanted, please make sure community consensus was reached and if so, please re-open this task and link to the discussion.